%define upstream_name    XML-Filter-BufferText
%define upstream_version 1.01

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 10

Summary:        Filter to put all characters() in one event
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}/
Source0:        http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

#%if %{mdkversion} < 1010
#Buildrequires:  perl-devel
#%endif
Buildrequires:  perl(XML::SAX)
BuildArch: noarch

%description
This is a very simple filter. One common cause of grief (and programmer error)
is that XML parsers aren't required to provide character events in one chunk.
They can, but are not forced to, and most don't. This filter does the trivial
but oft-repeated task of putting all characters into a single event.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 BufferText.pm Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%check
%{__make} test

%files
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1498385
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1272760
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1036008
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 944406
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 746240
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 686922
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-4.mga4
+ Revision: 516032
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-3.mga3
+ Revision: 375031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.10.0-2.mga1
+ Revision: 29450
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.10.0-1.mga1
+ Revision: 20780
- removed buildroot definition from .spec
  commented the if mdkversion lines
+ jquelin <jquelin>
- imported package perl-XML-Filter-BufferText


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 401863
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.01-10mdv2009.0
+ Revision: 224617
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.01-9mdv2008.1
+ Revision: 180653
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 23 2007 Anne Nicolas <anne.nicolas@mandriva.com> 1.01-8mdv2008.0
+ Revision: 92388
- bump release (oden)

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-7mdv2008.0
+ Revision: 87099
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-6mdv2007.0
- Rebuild

* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.01-5mdk
- Fix According to perl Policy
    - BuildRequires
    - Source URL

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.01-4mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.01-3mdk
- Fix BuildRequires

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk 
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-1mdk 
- first mdk release

